<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.ddf (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.ddf (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/common/usermodel/fonts/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../org/apache/poi/extractor/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/ddf/package-summary.html" target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.ddf</h1>
    <div class="docSummary">
        <div class="block">This package contains classes for decoding the Microsoft Office
            Drawing format otherwise known as escher henceforth known in POI
            as the Dreadful Drawing Format.
        </div>
    </div>
    <p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                            title="interface in org.apache.poi.ddf">EscherRecordFactory</a></td>
                    <td class="colLast">
                        <div class="block">The escher record factory interface allows for the creation of escher
                            records from a pointer into a data array.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherSerializationListener.html"
                                            title="interface in org.apache.poi.ddf">EscherSerializationListener</a></td>
                    <td class="colLast">
                        <div class="block">Interface for listening to escher serialization events.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/AbstractEscherOptRecord.html"
                                            title="class in org.apache.poi.ddf">AbstractEscherOptRecord</a></td>
                    <td class="colLast">
                        <div class="block">Common abstract class for <a
                                href="../../../../org/apache/poi/ddf/EscherOptRecord.html"
                                title="class in org.apache.poi.ddf"><code>EscherOptRecord</code></a> and
                            <a href="../../../../org/apache/poi/ddf/EscherTertiaryOptRecord.html"
                               title="class in org.apache.poi.ddf"><code>EscherTertiaryOptRecord</code></a></div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/DefaultEscherRecordFactory.html"
                                            title="class in org.apache.poi.ddf">DefaultEscherRecordFactory</a></td>
                    <td class="colLast">
                        <div class="block">Generates escher records when provided the byte array containing those
                            records.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherArrayProperty.html"
                                            title="class in org.apache.poi.ddf">EscherArrayProperty</a></td>
                    <td class="colLast">
                        <div class="block">Escher array properties are the most weird construction ever invented
                            with all sorts of special cases.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherBitmapBlip.html"
                                            title="class in org.apache.poi.ddf">EscherBitmapBlip</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherBlipRecord.html"
                                            title="class in org.apache.poi.ddf">EscherBlipRecord</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherBoolProperty.html"
                                            title="class in org.apache.poi.ddf">EscherBoolProperty</a></td>
                    <td class="colLast">
                        <div class="block">Represents a boolean property.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherBSERecord.html"
                                            title="class in org.apache.poi.ddf">EscherBSERecord</a></td>
                    <td class="colLast">
                        <div class="block">The BSE record is related closely to the <code>EscherBlipRecord</code> and
                            stores
                            extra information about the blip.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherChildAnchorRecord.html"
                                            title="class in org.apache.poi.ddf">EscherChildAnchorRecord</a></td>
                    <td class="colLast">
                        <div class="block">The escher child achor record is used to specify the position of a shape
                            under an
                            existing group.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherClientAnchorRecord.html"
                                            title="class in org.apache.poi.ddf">EscherClientAnchorRecord</a></td>
                    <td class="colLast">
                        <div class="block">The escher client anchor specifies which rows and cells the shape is bound to
                            as well as
                            the offsets within those cells.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherClientDataRecord.html"
                                            title="class in org.apache.poi.ddf">EscherClientDataRecord</a></td>
                    <td class="colLast">
                        <div class="block">The EscherClientDataRecord is used to store client specific data about the
                            position of a
                            shape within a container.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherColorRef.html"
                                            title="class in org.apache.poi.ddf">EscherColorRef</a></td>
                    <td class="colLast">
                        <div class="block">An OfficeArtCOLORREF structure entry which also handles color extension opid
                            data
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherComplexProperty.html"
                                            title="class in org.apache.poi.ddf">EscherComplexProperty</a></td>
                    <td class="colLast">
                        <div class="block">A complex property differs from a simple property in that the data can not
                            fit inside a 32 bit
                            integer.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                            title="class in org.apache.poi.ddf">EscherContainerRecord</a></td>
                    <td class="colLast">
                        <div class="block">Escher container records store other escher records as children.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherDggRecord.html"
                                            title="class in org.apache.poi.ddf">EscherDggRecord</a></td>
                    <td class="colLast">
                        <div class="block">This record defines the drawing groups used for a particular sheet.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherDggRecord.FileIdCluster.html"
                                            title="class in org.apache.poi.ddf">EscherDggRecord.FileIdCluster</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherDgRecord.html"
                                            title="class in org.apache.poi.ddf">EscherDgRecord</a></td>
                    <td class="colLast">
                        <div class="block">This record simply holds the number of shapes in the drawing group and the
                            last shape id used for this drawing group.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherDump.html"
                                            title="class in org.apache.poi.ddf">EscherDump</a></td>
                    <td class="colLast">
                        <div class="block">Used to dump the contents of escher records to a PrintStream.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherMetafileBlip.html"
                                            title="class in org.apache.poi.ddf">EscherMetafileBlip</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherOptRecord.html"
                                            title="class in org.apache.poi.ddf">EscherOptRecord</a></td>
                    <td class="colLast">
                        <div class="block">The opt record is used to store property values for a shape.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherPictBlip.html"
                                            title="class in org.apache.poi.ddf">EscherPictBlip</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherProperties.html"
                                            title="class in org.apache.poi.ddf">EscherProperties</a></td>
                    <td class="colLast">
                        <div class="block">Provides a list of all known escher properties including the description and
                            type.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherProperty.html"
                                            title="class in org.apache.poi.ddf">EscherProperty</a></td>
                    <td class="colLast">
                        <div class="block">This is the abstract base class for all escher properties.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherPropertyFactory.html"
                                            title="class in org.apache.poi.ddf">EscherPropertyFactory</a></td>
                    <td class="colLast">
                        <div class="block">Generates a property given a reference into the byte array storing that
                            property.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherPropertyMetaData.html"
                                            title="class in org.apache.poi.ddf">EscherPropertyMetaData</a></td>
                    <td class="colLast">
                        <div class="block">This class stores the type and description of an escher property.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherRecord.html"
                                            title="class in org.apache.poi.ddf">EscherRecord</a></td>
                    <td class="colLast">
                        <div class="block">The base abstract record from which all escher records are defined.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherRGBProperty.html"
                                            title="class in org.apache.poi.ddf">EscherRGBProperty</a></td>
                    <td class="colLast">
                        <div class="block">A color property.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherShapePathProperty.html"
                                            title="class in org.apache.poi.ddf">EscherShapePathProperty</a></td>
                    <td class="colLast">
                        <div class="block">Defines the constants for the various possible shape paths.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherSimpleProperty.html"
                                            title="class in org.apache.poi.ddf">EscherSimpleProperty</a></td>
                    <td class="colLast">
                        <div class="block">A simple property is of fixed length and as a property number in addition
                            to a 32-bit value.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherSpgrRecord.html"
                                            title="class in org.apache.poi.ddf">EscherSpgrRecord</a></td>
                    <td class="colLast">
                        <div class="block">The spgr record defines information about a shape group.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherSplitMenuColorsRecord.html"
                                            title="class in org.apache.poi.ddf">EscherSplitMenuColorsRecord</a></td>
                    <td class="colLast">
                        <div class="block">A list of the most recently used colours for the drawings contained in
                            this document.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherSpRecord.html"
                                            title="class in org.apache.poi.ddf">EscherSpRecord</a></td>
                    <td class="colLast">
                        <div class="block">Together the the EscherOptRecord this record defines some of the basic
                            properties of a shape.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherTertiaryOptRecord.html"
                                            title="class in org.apache.poi.ddf">EscherTertiaryOptRecord</a></td>
                    <td class="colLast">
                        <div class="block">"The OfficeArtTertiaryFOPT record specifies a table of OfficeArtRGFOPTE
                            properties, as defined in section 2.3.1."
                            -- [MS-ODRAW] -- v20110608; Office Drawing Binary File Format
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherTextboxRecord.html"
                                            title="class in org.apache.poi.ddf">EscherTextboxRecord</a></td>
                    <td class="colLast">
                        <div class="block">Holds data from the parent application.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/NullEscherSerializationListener.html"
                                            title="class in org.apache.poi.ddf">NullEscherSerializationListener</a></td>
                    <td class="colLast">
                        <div class="block">Ignores all serialization events.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/UnknownEscherRecord.html"
                                            title="class in org.apache.poi.ddf">UnknownEscherRecord</a></td>
                    <td class="colLast">
                        <div class="block">This record is used whenever a escher record is encountered that
                            we do not explicitly support.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Enum Summary table, listing enums, and an explanation">
                <caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Enum</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherColorRef.SysIndexProcedure.html"
                                            title="enum in org.apache.poi.ddf">EscherColorRef.SysIndexProcedure</a></td>
                    <td class="colLast">
                        <div class="block">The following enum specifies values that indicate special procedural
                            properties that
                            are used to modify the color components of another color.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/ddf/EscherColorRef.SysIndexSource.html"
                                            title="enum in org.apache.poi.ddf">EscherColorRef.SysIndexSource</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
    <a name="package.description">
        <!--   -->
    </a>
    <h2 title="Package org.apache.poi.ddf Description">Package org.apache.poi.ddf Description</h2>
    <div class="block"><p>This package contains classes for decoding the Microsoft Office
        Drawing format otherwise known as escher henceforth known in POI
        as the Dreadful Drawing Format.
    </p></div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/common/usermodel/fonts/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../org/apache/poi/extractor/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/ddf/package-summary.html" target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
